import request from '@/utils/request'

// 查询客户跟进记录列表
export function listCustomerFollow(query) {
  return request({
    url: '/bst/customerFollow/list',
    method: 'get',
    params: query
  })
}

// 查询客户跟进记录详细
export function getCustomerFollow(followId) {
  return request({
    url: '/bst/customerFollow/' + followId,
    method: 'get'
  })
}

// 新增客户跟进记录
export function addCustomerFollow(data) {
  return request({
    url: '/bst/customerFollow',
    method: 'post',
    data: data
  })
}

// 修改客户跟进记录
export function updateCustomerFollow(data) {
  return request({
    url: '/bst/customerFollow',
    method: 'put',
    data: data
  })
}

// 删除客户跟进记录
export function delCustomerFollow(followId) {
  return request({
    url: '/bst/customerFollow/' + followId,
    method: 'delete'
  })
}
